PDA

View Full Version : Sqlscript support for Oracle x64bit servers



Manjunathsp
07-05-2014, 01:18 PM
Hi,


Below link mentions that InstallShield requires 32-bit database drivers while connecting to 64-bit oracle db server, this blog post was created for 2012 version of InstallShield. I would like to know if this limitation remains with the release of "InstallShield 2014" version.
http://blogs.flexerasoftware.com/installtalk/2012/11/installshield-2012-spring-includes-support-for-running-sql-scripts-on-64-bit-database-servers-the-sqlbrowse-run-time-dialog.html
--------------------------
Does "InstallShiled 2014" supports SqlScript for x64 db server without the 32bit version of the database client software installed? Specifically, after the upgrade to x64 we noticed the following message when "Next" button was clicked on "Sql Login" dialog.

Adding IS_SQLSERVER_STATUS_ERROR property. Its value is 'Error 27502. Could not connect to Oracle 'spandb1'. [Microsoft][ODBC Driver Manager] Driver's SQLAllocHandle on SQL_HANDLE_ENV failed (0)'.

The following link mentions that 32bit client db drivers are necessary to connect 64bit db servers. Does latest version of InstallShiled overcomes this limitation?
http://blogs.flexerasoftware.com/installtalk/2012/11/installshield-2012-spring-includes-support-for-running-sql-scripts-on-64-bit-database-servers-the-sqlbrowse-run-time-dialog.html


Regards,
Manjunath

Manjunathsp
07-09-2014, 09:20 AM
Any information to the above query?

hidenori
07-18-2014, 11:23 AM
If you create a pure 64-bit installation using InstallShield 2014, it will use the 64-bit version of database driver to connect to database servers. Please refer to the Selecting the Appropriate Type of Architecture Validation for Builds (http://helpnet.flexerasoftware.com/installshield21helplib/installshield21helplib.htm#StartTopic=helplibrary/ArchValidation.htm) help topic for more details about building pure 64-bit .msi and .msm packages.